MRINFO(8)

NAME
mrinfo - display configuration info from a multicast router

SYNOPSIS
mrinfo [-d debug_level] [-r retry_count] [-t timeout_count] multicast_router

DESCRIPTION
The mrinfo utility attempts to display the configuration information from the multicast router multicast_router.

The mrinfo utility uses the ASK_NEIGHBORS IGMP message to the specified multicast router. If this multicast router responds, the version number and a list of their neighboring multicast router addresses is part of that response. If the responding router has a recent multicast version number, then mrinfo requests additional information such as metrics, thresholds, and flags from the multicast router. Once the specified multicast router responds, the configuration is displayed to the standard output.

The following options are available:

-d debug_level
    Set the debug level. When the debug level is greater than the default value of 0, addition debugging messages are printed. Regardless of the debug level, an error condition, will always write an error message and will cause mrinfo to terminate. Non-zero debug levels have the following effects:

    level 1
        packet warnings are printed to stderr.

    level 2
        all level 1 messages plus notifications down networks are printed to stderr.

    level 3
        all level 2 messages plus notifications of all packet timeouts are printed to stderr.

-r retry_count
    Set the neighbor query retry limit. Default is 3 retries.

-t timeout_count
    Set the number of seconds to wait for a neighbor query reply. Default timeout is 4 seconds.

SAMPLE OUTPUT

    $ mrinfo mbone.phony.dom.net
    127.148.176.10 (mbone.phony.dom.net) [version 3.3]:
     127.148.176.10 -> 0.0.0.0 (?) [1/1/querier]
     127.148.176.10 -> 127.0.8.4 (mbone2.phony.dom.net) [1/45/tunnel]
     127.148.176.10 -> 105.1.41.9 (momoney.com) [1/32/tunnel/down]
     127.148.176.10 -> 143.192.152.119 (mbone.dipu.edu) [1/32/tunnel]

For each neighbor of the queried multicast router, the IP of the queried router is displayed, followed by the IP and name of the neighbor. In square brackets the metric (cost of connection), the threshold (multicast ttl) is displayed. If the queried multicast router has a newer version number, the type (tunnel, srcrt) and status (disabled, down) of the connection is displayed.

IMPORTANT NOTE
The mrinfo utility must be run as root.

SEE ALSO
map-mbone(8), mrouted(8), mtrace(8)

AUTHORS
Van Jacobson